/*
Gm
ailSend Library for MetaTrader
Copyright (C) 2008 OpenThinking Systems, LLC
http://www.openthinkingsystems.com
All rights reserved.

- Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

- Neither the name of OpenThinking Systems LLC nor the names of its contributors
may be used to endorse or promote products derived from this software without
specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/
#ifndef _MailSender_h_
#define _MailSender_h_

#include <string>
#include <iostream>

#include <openssl/ssl.h>

#include "EMail.h"
#include "MailError.h"

using namespace std;

class MailSender
{
    private:
        SSL  *cntx;
        string  smtp_server;
        int     smtp_port;
        string  uname;
        string  pwd;

        /*
        void send_command(std::string cmd);
        std::string read_response(void);
         */
        int     send_secure_mail(EMail& email, SSL *ssl);

    public:
        //constructors
        MailSender();
        MailSender(string const server, int const port);

        //API

        /**
          Logs in to the user account on server using the username and password.

          \param[in]  u   Username
          \param[in]  p   Password

          \return     MSSuccess   On success
          \return     MSFailure   On error
         */
        MailSenderError Login(string u, string p);


        /**
          Sends the 'email'.
         */
        MailSenderError Send(EMail &email);
};

#endif // _MailSender_h_
